
My husband and I were visiting an ailing cousin in southern Maryland. All day, I felt stressed and began to have a headache. After we left my cousin's house to go to our hotel, we went to dinner and then I wanted to go to bed right away because I was so tired.

In the morning, about 7:00 a.m., I awoke suddenly feeling very calm and with the feeling that I had just visited a very spiritual place. I had gone through a tunnel but the light at the end was not all that bright. I saw a lot of figures standing at the end of the tunnel. They seemed to be sepia- colored. They almost had the appearance of Monks. I felt great happiness and comfort and utter, complete love. I remember being so happy there and I did not want to leave. The most profound feeling of gentle beauty and love surrounded me but something was telling me it wasn't time for me to be there. That is when I woke up, much to my disappointment.
